<template>
  <v-app
    dark
    style="background-color: #000"
  >
    <v-app-bar
      app
      color="grey darken-3"
      dark
    >
      <div class="d-flex align-center">
        <h1>Simple Binance Order book</h1>
      </div>

      <v-spacer></v-spacer>

      <v-btn
        href="https://gitlab.com/dimitri.derthe/high-frequency-binance-visual-market-depth"
        target="_blank"
        rel="noopener"
        text
      >
        <v-badge
          icon="mdi-open-in-new"
        >
          <v-icon large>mdi-gitlab</v-icon>
        </v-badge>
      </v-btn>
    </v-app-bar>

    <v-content>
      <OrderBook/>
    </v-content>
    <v-footer class="caption">
      Made with <v-icon color="pink" class="ma-1">mdi-heart</v-icon> By <a href="https://www.linkedin.com/in/dimitri-derthe/" target="_blank" rel="noopener" class="ml-1" style="text-decoration:none;"> Dimitri DERTHE</a>
    </v-footer>
  </v-app>
</template>

<script>
import OrderBook from './components/OrderBook';
export default {
  name: 'App',

  components: {
    OrderBook,
  },

  data: () => ({
    //
  }),
};
</script>
